Subject: Re: bug#10970: 24.0.93; package.el doesn't load autoloads before compiling

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Mar 2012 10:41:01 -0400

> I see the problem.  OTOH I don't see any actual bug that would arise
> from loading the autoloads file before byte compilation.

I think it's the right thing to do.

> But on the other hand, it's kind of conceptually nice that the
> autoloads file is only loaded when the package is activated, as
> a separate step from unpacking.

It would be separate, because byte-compiling is a separate step
from unpacking (although it's almost always done together).

        Stefan